Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028605
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2015-01-14 10:512015-02-04 20:34
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revisionad079bdad031
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028605: define different properties in Tomcat clustering environments

DescriptionDefine a mechanism for instances using Tomcat clustering sharing web app files to define different properties.

More information: http://wiki.openbravo.com/wiki/Projects:Share_Openbravo.properties [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00325193.0PR16Q3 closedalostale make possible to override Openbravo.properties from an absolute path 
causes defect 0029608 closedalostale System cannot be rebuilt having Tomcat JDBC Pool 

-  Notes
(0073764)
hgbot (developer)
2015-01-26 10:05

Repository: erp/devel/pi
Changeset: ad079bdad031de6cb0c8cf7cb8a82d264950e6db
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jan 26 10:04:44 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ad079bdad031de6cb0c8cf7cb8a82d264950e6db [^]

fixed issue 28605: allow to overwrite properties per instance

  Support for propreties overwriting in instances running in tomcat clustering

  More details:
  http://wiki.openbravo.com/wiki/Projects:Share_Openbravo.properties [^]

---
M build.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoWidgetActionHandler.java
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-core/src/org/openbravo/base/HttpBaseServlet.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/base/session/OBPropertiesProvider.java
M src/org/openbravo/dal/core/DalContextListener.java
M src/org/openbravo/erpCommon/ad_forms/Role.java
A src/org/openbravo/base/session/HostNameTask.java
---
(0073782)
AugustoMauch (developer)
2015-01-26 15:31

Code reviewed and verified in pi@ad079bdad031
(0074179)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-14 10:51 alostale New Issue
2015-01-14 10:51 alostale Assigned To => alostale
2015-01-14 10:51 alostale Modules => Core
2015-01-14 10:51 alostale Triggers an Emergency Pack => No
2015-01-21 15:46 alostale Review Assigned To => AugustoMauch
2015-01-26 10:05 hgbot Checkin
2015-01-26 10:05 hgbot Note Added: 0073764
2015-01-26 10:05 hgbot Status new => resolved
2015-01-26 10:05 hgbot Resolution open => fixed
2015-01-26 10:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ad079bdad031de6cb0c8cf7cb8a82d264950e6db [^]
2015-01-26 15:31 AugustoMauch Note Added: 0073782
2015-01-26 15:31 AugustoMauch Status resolved => closed
2015-01-26 15:31 AugustoMauch Fixed in Version => 3.0PR15Q1
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074179
2015-04-16 10:59 alostale Relationship added causes 0029608
2016-03-21 15:57 alostale Relationship added related to 0032519


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker